Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.element
Interface NavigationCase

All Known Implementing Classes:
  NavigationCase

public interface NavigationCase

Entry of the Collection returned by `NavigationRule.getNavigationCases()`.

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`java.lang.String` | `getFromAction()`
`java.lang.String` | `getFromOutcome()`
`java.lang.String` | `getToViewId()`
`boolean` | `isRedirect()`

Method Detail

### getFromAction

    public java.lang.String getFromAction()

### getFromOutcome

    public java.lang.String getFromOutcome()

### isRedirect

    public boolean isRedirect()

### getToViewId

    public java.lang.String getToViewId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD